Multivariate Pattern Analysis in Python

# mvpa2.kernels.libsvm.SigmoidLSKernel

class `mvpa2.kernels.libsvm.``SigmoidLSKernel`(**kwargs)

  Sigmoid kernel: K(a,b) = tanh(gamma*a*b.T + coef0)

  Attributes

  `descr` | Description of the object if any

  Methods

  `add_conversion`(typename, methodfull, methodraw) | Adds methods to the Kernel class for new conversions
  `as_ls`() |
  `as_np`() | Converts this kernel to a Numpy-based representation
  `as_raw_ls`() |
  `as_raw_np`() |
  `as_raw_sg`(kernel) | Converts directly to a Shogun kernel
  `as_sg`(kernel) | Converts this kernel to a Shogun-based representation
  `cleanup`() | Wipe out internal representation
  `compute`(*args, **kwargs) |
  `computed`(*args, **kwargs) | Compute kernel and return self
  `reset`() |

  Initialize instance of SigmoidLSKernel

  Parameters:

  gamma

  > Gamma multiplying parameter for SigmoidKernel. [Default: 1]

  coef0

  > Offset inside tanh. [Default: 1]

  Attributes

  `descr` | Description of the object if any

  Methods

  `add_conversion`(typename, methodfull, methodraw) | Adds methods to the Kernel class for new conversions
  `as_ls`() |
  `as_np`() | Converts this kernel to a Numpy-based representation
  `as_raw_ls`() |
  `as_raw_np`() |
  `as_raw_sg`(kernel) | Converts directly to a Shogun kernel
  `as_sg`(kernel) | Converts this kernel to a Shogun-based representation
  `cleanup`() | Wipe out internal representation
  `compute`(*args, **kwargs) |
  `computed`(*args, **kwargs) | Compute kernel and return self
  `reset`() |